Create a new Payout

Creates a new Payout request to transfer funds from merchant account to a specified address.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
length between 26 and 140
number

Either this or amountTo must be present.

number

Either this or amountFrom must be present.

string
enum

If present, the priority value is used only for payment methods which support priority settings (currently only BITCOIN_BLOCKCHAIN_MAINNET_BTC, legacy code BITCOIN_BTC). If not present, HIGH is used by default for payment methods which support it (currently only BITCOIN_BLOCKCHAIN_MAINNET_BTC, legacy code BITCOIN_BTC). For other methods, the automatically resolved value is used and the set value is ignored.

Allowed:
string
enum
required

Balance of this asset is affected by the payout.

Allowed:
string
enum
deprecated

Superseded by paymentMethodId. Should not be used anymore.

Allowed:
string
length between 0 and 254

The email address to which email notifications for the customer will be sent.

customerProfile

Optional customer profile details to attach to the payout.

string
enum

If provided, this value takes precedence over treatAsGrossAmount.
MERCHANT - debited amount is increased by the total fee.
RECIPIENT - debited amount remains same but the recipient received amount decreased by the total fee.
NETWORK_FEE_RECIPIENT - debited amount is increased by the processing fee
and recipient received amount decreased only by the network fee.

Allowed:
boolean

Value that indicates whether draft or a regular payout should be created. Default value is false. Note that without opting-in to the new payout flow, setting this flag explicitly to true will result into an client side error.

string
length between 0 and 254

E-mail where payout notifications will be sent.

url
length between 0 and 512

Webhook URL where payout webhooks will be sent.

string

Supersedes deprecated parameter 'currencyTo'.

string
length between 0 and 512

Any data the merchant wishes to store in the payout. It might be, for instance, a JSON or any other string identifying the payout in the merchant's system. The maximum length is 512 characters.

boolean

The total fee (processing and network) will be deducted from the requested amount. The 'null' value is equivalent to 'false' value - the fee is not deducted from requested amount, and is deducted from the balance.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
*/*